Skip to main content

Update resident pet

PUThttps://api.propexo.com/v1/resident-pets/:pet_id

Update a resident pet for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

pet_id string

The Propexo unique identifier for the resident pet

Request​

This endpoint expects an object.

    is_service_animalboolean

    Whether the resident pet is a service animal. This field requires your customer uses Plug-in 17+ in Yardi Voyager.

    age_in_yearsinteger

    The age in years of the resident pet

    Possible values: >= 0

    colorstring

    The color of the resident pet

    Possible values: <= 40 characters

    gender_rawstring

    The raw value for the gender of the resident pet

    Possible values: <= 40 characters

    is_fixedboolean

    Whether the resident pet is fixed

    namestring

    The name associated with the resident pet

    Possible values: <= 40 characters

    typestring

    The type associated with the resident pet

    Possible values: <= 40 characters

    weight_in_poundsinteger

    The weight in pounds of the resident pet

    Possible values: >= 0

    breedstring

    The breed of the resident pet

    Possible values: <= 1000 characters

    notesstring

    Notes associated with the resident pet

    resident_pet_idstringrequired

    The Propexo unique identifier for the resident pet

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/resident-pets/:pet_id
curl -X PUT https://api.propexo.com/v1/resident-pets/:pet_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"resident_pet_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}